Skip to main content
GET
/
studies
/
{studyId}
/
participants
/
{participantId}
Get a participant by ID
curl --request GET \
  --url https://api.rallyuxr.com/api/public/v1/studies/{studyId}/participants/{participantId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.rallyuxr.com/api/public/v1/studies/{studyId}/participants/{participantId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.rallyuxr.com/api/public/v1/studies/{studyId}/participants/{participantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "participantId": "<string>",
  "personId": "<string>",
  "studyId": "<string>",
  "email": "<string>",
  "additionalEmails": [
    "jsmith@example.com"
  ],
  "phone": "<string>",
  "additionalPhones": [
    "<string>"
  ],
  "invitedToStudyAt": "2023-11-07T05:31:56Z",
  "approvedAt": "2023-11-07T05:31:56Z",
  "screenerSentAt": "2023-11-07T05:31:56Z",
  "interviewStartTime": "2023-11-07T05:31:56Z",
  "screenerResponseDate": "2023-11-07T05:31:56Z",
  "addedToStudyAt": "2023-11-07T05:31:56Z",
  "note": {
    "note": "<string>",
    "createdByUserId": "<string>"
  }
}
{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
"Unauthorized"
"Forbidden"
"{Resource} not found"
"Too Many Requests"
"Internal Server Error"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

studyId
string
required
participantId
string
required

Response

The participant

A study's participant information

participantId
string
required

The ID of the participant

personId
string
required

The ID of the person

studyId
string
required

The ID of the study

email
string | null
required

The primary email of the participant

additionalEmails
string<email>[]
required

The additional emails of the participant

phone
string | null
required

The primary phone of the participant

additionalPhones
string[]
required

The additional phones of the participant

status
enum<string> | null
required

The status of the participant

Available options:
NOT_STARTED,
INVITE_SENT,
NOT_ELIGIBLE,
SCREENER_STARTED,
SCREENER_COMPLETED,
SCREENER_QUALIFIED,
SCREENER_DISQUALIFIED,
INTERVIEW_INVITE_SENT,
INTERVIEW_SCHEDULED,
INTERVIEW_COMPLETED,
INTERVIEW_CANCELLED,
INTERVIEW_NO_SHOWED,
SURVEY_STARTED,
SURVEY_COMPLETED,
INCENTIVE_SENT,
INCENTIVE_CLAIMED,
INCENTIVE_SKIPPED,
UNMODERATED_TEST_INVITE_SENT,
UNMODERATED_TEST_STARTED,
UNMODERATED_TEST_COMPLETED,
COMPLETED_STUDY,
CANCELLED,
OPTED_OUT,
EMAIL_SOFT_BOUNCED,
EMAIL_HARD_BOUNCED,
null
invitedToStudyAt
string<date-time> | null
required

The date the participant was invited to the study

approvalStatus
enum<string>
required

The approval status of the participant

Available options:
HIDDEN,
AWAITING_APPROVAL,
APPROVED,
REJECTED,
REPORTED
approvedAt
string<date-time> | null
required

The date the participant was approved

screenerState
enum<string> | null
required

The screener state of the participant

Available options:
SCREENER_SENT,
SCREENER_COMPLETED,
QUALIFIED,
AUTO_QUALIFIED,
NOT_QUALIFIED,
AUTO_NOT_QUALIFIED,
null
screenerSentAt
string<date-time> | null
required

The date the screener was sent

interviewStartTime
string<date-time> | null
required

The participant's interview start time

screenerResponseDate
string<date-time> | null
required

The date the screener response was submitted

addedToStudyAt
string<date-time> | null
required

The date the participant was added to the study

note
object | null
required

The note of the participant